Bug 331461 - alsa-lib crack the sound when doing 32->16 bit conversion
alsa-lib crack the sound when doing 32->16 bit conversion
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
https://bugtrack.alsa-project.org/als...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-14 16:17 EDT by Need Real Name
Modified: 2008-02-25 10:16 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 10:16:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-10-14 16:17:32 EDT
When playing sounds with alsa sink using any gstreamer application sound
conversion is done wrong and result on cracking sound. VLC seems to have the
same problem.

original GStreamer bug report:
http://bugzilla.gnome.org/show_bug.cgi?id=436192

upstream alsa-lib bug:
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3360

POssible workaround for gst pipelines is to add this before alsasink:
 audio/x-raw-int,width=32,depth=32 ! audioconvert !
audio/x-raw-int,width=16,depth=16

Another option is to use:
alsasink device=front

as my gconfaudiosink (so muine and rb plays ok)

Maybe it would make sense to patch alsa-lib 1.0.14 on fc7 to revert that change
or to upgrade to a fixed version.
Comment 1 Martin Stransky 2007-10-15 08:39:40 EDT
Is it fixed in 1.0.15rc3?

If you create a patch for 1.0.14 I can put it into F7 but generally this issue
has to be fixed in upstream...

Note You need to log in before you can comment on or make changes to this bug.